% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sc-dim.R
\name{sc_dim}
\alias{sc_dim}
\alias{sc_dim,Seurat-method}
\alias{sc_dim,Seurat}
\alias{sc_dim,SingleCellExperiment-method}
\alias{sc_dim,SingleCellExperiment}
\title{sc_dim}
\usage{
sc_dim(
  object,
  dims = c(1, 2),
  reduction = NULL,
  cells = NULL,
  slot = "data",
  mapping = NULL,
  ...
)

\S4method{sc_dim}{Seurat}(
  object,
  dims = c(1, 2),
  reduction = NULL,
  cells = NULL,
  slot = "data",
  mapping = NULL,
  ...
)

\S4method{sc_dim}{SingleCellExperiment}(
  object,
  dims = c(1, 2),
  reduction = NULL,
  cells = NULL,
  slot = "data",
  mapping = NULL,
  ...
)
}
\arguments{
\item{object}{Seurat object}

\item{dims}{selected dimensions (must be a two-length vector) that
are used in visualization}

\item{reduction}{reduction method, default is NULL and will use the
default setting store in the object}

\item{cells}{selected cells to plot (default is all cells)}

\item{slot}{slot to pull expression data from (e.g., 'count' or 'data')}

\item{mapping}{aesthetic mapping}

\item{...}{additional parameters pass to 'scattermore::geom_scattermore()'}
}
\value{
dimension reduction plot
}
\description{
sc_dim
}
\examples{
library(scuttle)
library(scater)
library(scran)
library(ggplot2)
sce <- mockSCE()
sce <- logNormCounts(sce)
clusters <- clusterCells(sce, assay.type = 'logcounts')
colLabels(sce) <- clusters
sce <- runUMAP(sce, assay.type = 'logcounts')
p1 <- sc_dim(sce, reduction = 'UMAP', mapping = aes(colour = Cell_Cycle))
p2 <- sc_dim(sce, reduction = 'UMAP')
f1 <- p1 + sc_dim_geom_label()
f2 <- p2 + 
      sc_dim_geom_label(
        geom = shadowtext::geom_shadowtext,
        color='black',
        bg.color='white'
      )
}
\seealso{
\link[scattermore:geom_scattermore]{geom_scattermore};
}
